class basicAction {
   static #packageConfig (url, options = {}, method) {
      return {
         requestUrl: url,
         // requestName: options.name,
         requestMethod: method,
         option: options,
      };
   }
   static get (url, options) {
      return this.#packageConfig(url, options, "get");
   }
   static post (url, options) {
      return this.#packageConfig(url, options, "post");
   }
   static put (url, options) {
      return this.#packageConfig(url, options, "put");
   }
   static delete (url, options) {
      return this.#packageConfig(url, options, "delete");
   }
}

module.exports = basicAction
